Jump to content

mardon

Members
  • Posts

    189
  • Joined

  • Last visited

Posts posted by mardon

  1. FORMIX je dobrý program, smlouva s ČP taktéž dobrá věc. Je třeba si zvolit, co je pro Vás výhodnější. Záleží také na kapacitě vlastní expedice, počtu objednávek ap. měl by v tom být nejspíš zaběhnutý řád a interní pravidlo. Což je ostatně i základ úspěchu - kdy se Vám zákoš taky vrátí a nakoupí zas a zas..

    ;-)


    Tiskl jsi v tom FORMIXU i podací lístek, mě to teda nejde.
  2. Takže vyřešeno nestačil vygenerovaný .htaccess někde na foru jsem nasla

    # .htaccess automaticaly generated by PrestaShop e-commerce open-source solution
    # http://www.prestashop.com - http://www.prestashop.com/forums
    
    # URL rewriting module activation
    RewriteEngine on
    
    # URL rewriting rules
    RewriteRule ^([a-z0-9]+)\-([a-z0-9]+)(\-[_a-zA-Z0-9-]*)/([_a-zA-Z0-9-]*)\.jpg$ /img/p/$1-$2$3.jpg [L,E]
    RewriteRule ^([0-9]+)(\-[_a-zA-Z0-9-]*)/([_a-zA-Z0-9-]*)\.jpg$ /img/c/$1$2.jpg [L,E]
    RewriteRule ^lang-([a-z]{2})/([a-zA-Z0-9-]*)/([0-9]+)\-([a-zA-Z0-9-]*)\.html(.*)$ /product.php?id_product=$3&isolang;=$1$5 [L,E]
    RewriteRule ^lang-([a-z]{2})/([0-9]+)\-([a-zA-Z0-9-]*)\.html(.*)$ /product.php?id_product=$2&isolang;=$1$4 [L,E]
    RewriteRule ^lang-([a-z]{2})/([0-9]+)\-([a-zA-Z0-9-]*)(.*)$ /category.php?id_category=$2&isolang;=$1 [QSA,L,E]
    RewriteRule ^([a-zA-Z0-9-]*)/([0-9]+)\-([a-zA-Z0-9-]*)\.html(.*)$ /product.php?id_product=$2$4 [L,E]
    RewriteRule ^([0-9]+)\-([a-zA-Z0-9-]*)\.html(.*)$ /product.php?id_product=$1$3 [L,E]
    RewriteRule ^([0-9]+)\-([a-zA-Z0-9-]*)(.*)$ /category.php?id_category=$1 [QSA,L,E]
    
    RewriteRule ^lang-([a-z]{2})/content/([0-9]+)\-([a-zA-Z0-9-]*)(.*)$ /cms.php?id_cms=$2&isolang;=$1 [L,E]
    
    RewriteRule ^lang-([a-z]{2})/order.php(.*)$ /order.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/order-confirmation.php(.*)$ /order-confirmation.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/history.php(.*)$ /history.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/my-account.php(.*)$ /my-account.php?isolang=$1 [L,E]
    
    RewriteRule ^lang-([a-z]{2})/order-slip.php(.*)$ /order-slip.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/addresses.php(.*)$ /addresses.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/address.php(.*)$ /address.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/identity.php(.*)$ /identity.php?isolang=$1 [L,E]
    RewriteRule ^lang-([a-z]{2})/discount.php(.*)$ /discount.php?isolang=$1 [L,E]
    
    RewriteRule ^content/([0-9]+)\-([a-zA-Z0-9-]*)(.*)$ /cms.php?id_cms=$1 [QSA,L,E]
    RewriteRule ^([0-9]+)__([a-zA-Z0-9-]*)(.*)$ /supplier.php?id_supplier=$1$3 [QSA,L,E]
    RewriteRule ^([0-9]+)_([a-zA-Z0-9-]*)(.*)$ /manufacturer.php?id_manufacturer=$1$3 [QSA,L,E]
    
    # Catch 404 errors
    ErrorDocument 404 /404.php



    a zatím zabralo tak uvidíme dál

  3. Hi, I test upgarde from 1.0.0.8 -> 1.2.5 , the upgrade script run OK. In my 1.0.0.8 version i use default theme with no changes, I think that in this case I can use the default 1.2.5 theme, but when i use that the images miniatures are OK , but in product page i havent the karge image. It seems a problem in html source, if in URL of image isnt good way to image isnt /img/p. How can I use in my shop default 1.2.5 theme. I test so clean install 1.2.5 in which i import the ma upgraded db, but i seems to be same problem.

    I solved creating .htaccess
    http://www.prestashop.com/forums/viewthread/44224/hlavn_diskuze/solved_upgrade_1_dot_0_dot_0_dot_8__1_dot_2_dot_5_dot_0

  4. řeším momentálně potíže s upgradem e-shopu z 1.0.0.8 na 1.2.5.0. Upgrade proběhl aspoň se zdá,ale na strínce produktu se nezobarzuje obrázek, ikdyž je v adresáři img/p nahraný a miniatury se zobarzují. Problém je v tom, že pokud si zobarzím HTML zdroj stránky vypadlo z URL obrázku cesta /img/p, to by se možná dalo ještě opravit, ale chtěla bych celý obchod převést na novou default šablonu a tady nastane problém, pokud nemám zaplou compatibilitu na verzi 1.1 tak se šablona ani nezobrazí, přitom se ovšem do adresáře themes nahrala prestahop šablonu verze 1.2.5.0. Takže jsem se to snažila vyřešit znovu a to čistou instalací 1.2.5.0 a do její db jsem nahrála kopii své upgradované db puvodne 1.0.0.8 nyní jiz 1.2.5.0, ovšem výsledek je totožný. Řešil někdo něco podobného? Jak je to vůbec s těmi themes projevují se jednotlivé verze nějak i v db, nebo je rozdil jen v adresáři /themes?

  5. skript, který jsem vypsala výše pro velké množství produktů vyžaduje velké množství paměti, takže doporučuji před změnou hostinhu zjisti nastavení php_memory_limit, já jsem na localhostu zkoušela něco přes 6000 výrobků a chodilo mi to při nastavení 128MB php_memory_limit.Na druhou starnu skript výše uvedený, podle mě zbytečně natahuje hodně údajů o produktech do paměti, které pak nejsou použity v XML exportu, takže by se to asi dalo upravit tak, aby nebyl tak náročný na paměť.

  6. Možná už někdo zkušenější řešil export XML produktů pro vyhledávače z e-shopu, který má více jak 6000 produktů.K exportu používám skript

    <?php
    include(dirname(__FILE__).'/../config/config.inc.php'); 
    $p=Product::getProducts(10, 0, 0, 'id_product', 'desc', false); 
    $products=Product::getProductsProperties(10, $p); 
    header("Content-Type: text/xml");
    echo '<?xml version="1.0" encoding="utf-8"?>
    ';
    foreach ($products as $row) {
    $img=Product::getCover($row['id_product']);
    echo '
    
    '.strtr($row['name'], "&", "&").'
    '.strtr(strip_tags($row['description_short']), "&", "&").'
    http://www.vasedomena.cz'.$row['link'].'
    http://www.vasedomena.cz/img/p/'.$row['id_product'].'-'.$img['id_image'].'.jpg
    '.($row['price']*1).'
    0
    ';
    }
    echo '';
    ?> 



    Skript funguje, ale jen pro asi 3500 vyrobků , pro větší množství skript nevrátí vygenerované XML zřejmě protože se mu nedostává paměti. Na hostingu je pro PHP přiděleno 64MB paměti a zvyšovat nechtějí.

    Kámen úrazu je možná v řádcích

    $p=Product::getProducts(10, 0, 0, 'id_product', 'desc', false); 
    $products=Product::getProductsProperties(10, $p);



    které vracejí z db všechny sloupce pro produkty, ted i ty které se pak v XML nevypisují.
    Nevíte někdo jak jednoduše dostat (pomocí funkce z prestashopu) z db jen ty položky, které pak použít pro export XML?

  7. Prohledal sem celý forum a nic sem nenašel...
    Už opravdu nevim co s tim mam dělat,tak snad mi někdo poradí.

    Všechno mi funguje v pohodě,akorát mi k produktům nejdou nahrávat obrázky.
    Když vyberu obrázek a dam uložit,tak se objeví,že aktualizace proběhla úspěšně,ale obrázek na internetu stejně neni.
    Eshop pořád odkazuje na defaultní obrázek img\p\cz-default-.....

    Nevim jestli je to chyba v prestashopu nebo u hostingu..
    Pri loginu se mi zobrazuje chyba www.nejlevnejsi-pc.cz/admin123 ,ale nevim jestli to souvisí s nahráváním fotek

    Děkuju za všechny rady.


    ...mam prestashop 1.2.4 v CZ


    no a podival ses pres FTP jestli tam ten obrazek je?
    mas nastavena prava pro zapis?
    jaky hosting pouzivas?
  8. i did it manually from the terminal.

    on gentoo:

    1) backup mysql database of old shop. i was using version 1.0.0.8

    2) in my /var/www/prestashop/htdocs, i have

    $ tree -L 1
    tree -L 1 htdocs/htdocs/
    |-- 1.0.0.8
    |-- 1.2.0.7
    `-- 1.2.3

    3) i made the upgrade to 1.2.0.7 as for some reason, the direct root to 1.2.3 did not work.

    here is my procedure:

    1) cd 1.2.0.7/install/sql/upgrade

    a) create new database to use, so that you don't mess up your original version.
    i'll call it prestashop_db

    $ mysql -u user -p prestashop_db < backup_db.sql

    B) then run each individually, as follows:

    $ mysql -u user -p prestashop_db < 1.1.0.1.sql
    $ mysql -u user -p prestashop_db < 1.1.0.2.sql
    $ mysql -u user -p prestashop_db < 1.1.0.3.sql
    $ mysql -u user -p prestashop_db < 1.1.0.4.sql
    $ mysql -u user -p prestashop_db < 1.1.0.5.sql
    $ mysql -u user -p prestashop_db < 1.2.0.1.sql
    $ mysql -u user -p prestashop_db < 1.2.0.1.sql
    $ mysql -u user -p prestashop_db < 1.2.0.2.sql
    $ mysql -u user -p prestashop_db < 1.2.0.3.sql
    $ mysql -u user -p prestashop_db < 1.2.0.4.sql
    $ mysql -u user -p prestashop_db < 1.2.0.5.sql
    $ mysql -u user -p prestashop_db < 1.2.0.6.sql
    $ mysql -u user -p prestashop_db < 1.2.0.7.sql

    c) copy your /img directory as this contains all the product images
    $ cp -rp ../1.2.0.7/img/* img/

    d) this will copy any translations you have made to the home page
    $ cp -p ../1.0.0.8/modules/editorial/editorial.xml modules/editorial/

    e) copy your shop logo
    $ cp -p ../1.0.0.8/modules/editorial/homepage_logo.jpg modules/editorial/

    f) copy settings.conf.php
    $ cp -p ../1.0.0.8/config/settings.inc.php config/

    g) change these so that it reflects the new shop instance
    $ vim config/settings.inc.php

    make sure you change both:

    define('_DB_NAME_', 'prestashop_db');
    define('_PS_VERSION_', '1.2.0.7');

    h) finally remove, insall directory and change the name of your admin directory

    $ rm -rf install
    $ mv admin secret-admin

    if you're using apache, then modify the vhost entry for the host and point it to the correct Document root, i.e. in my case

    /var/www/prestashop/htdocs/1.2.0.7

    i) restart apache

    $ sudo /etc/init.d/apache2 restart

    now you should have version 1.2.07 upgraded from 1.0.0.8, all orders and customers.

    note, you need to install any custom modules, once you check all data has been transferred.

    now you can upgrade to 1.2.3, but this time you can use the prestashop installer, as this worked for me.

    hope this helps.

    norman


    when where you downloading version 1.2.0.7 ?
  9. To anyone who failed in upgrading using prestashop upgrade feature, you need to do manual upgrade...
    It will be slow and a painful one, but it work.

    Look into your newest version of prestashop which you are going to use.
    There is a install directory, open it, go into sql directory inside it.
    Open that too. Inside it, a directory called upgrade. Open it.

    Here is the list of sql upgrade needed to make your database compatible with newest version of prestashop.
    Open your sql manager ( or whatever your database manager is ).
    Select your database.
    Go to its sql manager or whatever tool used to run sql script. ( phpmyadmin user will be using sql tab )

    Open each sql file ( inside upgrade directory ) in correct sequence ( ascending style ), starting from 1 version newer from your old prestashop installation. I suggest to use wordpad when opening these sql files.
    Example : your current 1.0.0.8, then you will star at 1.0.0.9 ( 1.0.0.9 does not exist, so you can start with 1.1.0.1 )

    Inside each sql file is a list of sql script, copy paste the entire wall of text into your sql manager and run it.

    Do it one by one until you get to your desired version. If you want 1.2.2.0 than run file 1.2.2.0.sql as the last one starting in correct sequence from 1.1.0.1.

    After that, just use you new prestahop program without need to run its updater. ( don't forget with product image, your themes, your modules, and file setting.inc.php )

    Hope it helps. Sorry for my broken English.

    I done this with 1.1.0.5 to 1.2.1.0.
    I didn't have difficulty from 1.1.0.5 straight to 1.2.2.0 using prestashop own upgrade feature.
    But 1.1.0.5 will result in error when straight to 1.2.3.0.
    I didn't get any error from 1.2.2.0 to 1.2.3.0 using prestashop own upgrade feature.


    Yes, manually i do upgrade but now when i want to see some invoice in pdf a have error hack attempt
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More